﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace UltraGridWithTablesRelationsSQLSelect
{
    public partial class Form1 : Form
    {

        private  DataSet ds;
        private  DataTable dtParent;
        private DataTable dtChild;

        public Form1()
        {
            InitializeComponent();
            ds = new DataSet();
            dtParent = new DataTable("Parent");
            dtChild = new DataTable("Child");

            dtParent.Columns.Add("ID",typeof(int));
            dtParent.Columns.Add("sItem",typeof(string));

            dtChild.Columns.Add("ID",typeof(int));
            dtChild.Columns.Add("sDescription",typeof(string));
            dtChild.Columns.Add("sNote",typeof(string));

            ds.Tables.Add(dtParent);
            ds.Tables.Add(dtChild);
            DataRelation relation = new DataRelation("Relationship", dtParent.Columns["ID"], dtChild.Columns["ID"], false);
            ds.Relations.Add(relation);
            this.ultraGrid1.DataSource = this.ds.Tables["Parent"];
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            SqlConnection conn = new SqlConnection();
            conn.ConnectionString = "Data Source=IGBGSOFDS22;Initial Catalog=Test;Integrated Security=True";

            SqlCommand cmd = new SqlCommand("select * from [dbItems] inner join [dbRows] ON [dbItems].ID =[dbRows].ID", conn);
            conn.Open();
            SqlDataReader dr = cmd.ExecuteReader();

            while (dr.Read())
            {
                dtParent.Rows.Add(dr[0], dr[1]);
                dtChild.Rows.Add(dr[2], dr[3], dr[4]);
            }

        }
    }
}
